

[data-theme='dark'] {
  --text-basic: #c4b9fe;
  --text-variable: #ffcc66;
  --text-brack: #d4d4d4;
}

/**
 * vscode v22 theme for `prism.js`
 */

pre[class*='language-'],
code[class*='language-'] {
  --text-basic: #c4b9fe;
  --text-variable: #ffcc66;
  --text-brack: #d4d4d4;
  color: var(--text-brack);
  font-size: 14px;
  text-shadow: none;
  font-family: Menlo, Monaco, Consolas, 'Andale Mono', 'Ubuntu Mono',
    'Courier New', monospace;
  direction: ltr;
  text-align: left;
  white-space: pre;
  word-spacing: normal;
  word-break: normal;
  line-height: 1.5;
  -moz-tab-size: 4;
  -o-tab-size: 4;
  tab-size: 4;
  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

pre[class*='language-']::selection,
code[class*='language-']::selection,
pre[class*='language-'] *::selection,
code[class*='language-'] *::selection {
  text-shadow: none;
  background: #000000;
}

@media print {
  pre[class*='language-'],
  code[class*='language-'] {
    text-shadow: none;
  }
}

pre[class*='language-'] {
  padding: 1em;
  margin: 0.5em 0;
  overflow: auto;
  background: #1a1919;
  border-color: #333333;
  border-width: 0.1px;
  box-shadow: 0 0 0 0.05px black;
}
:root[data-theme='dark'] pre[class*='language-'] {
  padding: 1em;
  margin: 0.5em 0;
  overflow: auto;
  border: 1px;
  border-style: solid;
  border-color: #2b2b2b;
  background: #000000;
}

:root[data-theme='light'] pre[class*='language-'] {
  padding: 1em;
  margin: 0.5em 0;
  overflow: auto;
  border: 1px;
  border-style: solid;
  border-color: #cacaca;
  background: #fcfcfc;
}

:not(pre) > code[class*='language-'] {
  padding: 0.1em 0.3em;
  border-radius: 0.3em;
  color: #db4c69;
  background: #1e1e1e;
}
/*********************************************************
* Tokens
*/
.namespace {
  opacity: 0.7;
}

.token.doctype .token.doctype-tag {
  color: #82aaff;
}

.token.doctype .token.name {
  color: var(--text-variable);
}

.token.comment,
.token.prolog {
  color: #7c7c7c;
}

.token.punctuation,
.language-html .language-css .token.punctuation,
.language-html .language-javascript .token.punctuation {
  color: var(--text-brack);
}

.token.punctuation,
.language-html .language-css .token.punctuation,
.language-html .language-php .token.punctuation {
  color: var(--text-brack);
}

.token.punctuation,
.language-html .language-css .token.punctuation,
.language-html .language-csharp .token.punctuation {
  color: var(--text-brack);
}

.token.property,
.token.tag,
.token.boolean,
.token.number,
.token.constant,
.token.symbol,
.token.inserted,
.token.unit {
  color: #b5cea8;
}

.token.selector,
.token.attr-name,
.token.string,
.token.char,
.token.builtin,
.token.deleted {
  color: #ce78b0;
}

.language-css .token.string.url {
  text-decoration: underline;
}

.token.operator,
.token.entity {
  color: var(--text-brack);
}

.token.operator.arrow {
  color: #82aaff;
}

.token.atrule {
  color: #ce78b0;
}

.token.atrule .token.rule {
  color: #c586c0;
}

.token.atrule .token.url {
  color: var(--text-variable);
}

.token.atrule .token.url .token.function {
  color: #dcdcaa;
}

.token.atrule .token.url .token.punctuation {
  color: var(--text-brack);
}

.token.keyword {
  color: #82aaff;
}

.token.keyword.module,
.token.keyword.control-flow {
  color: #c586c0;
}

.token.function,
.token.function .token.maybe-class-name {
  color: #96d0ff;
}

.token.regex {
  color: #d16969;
}

.token.important {
  color: #82aaff;
}

.token.italic {
  font-style: italic;
}

.token.constant {
  color: var(--text-variable);
}

.token.class-name,
.token.maybe-class-name {
  color: #4ec9b0;
}

.token.console {
  color: var(--text-variable);
}

.token.parameter {
  color: var(--text-variable);
}

.token.interpolation {
  color: var(--text-variable);
}

.token.punctuation.interpolation-punctuation {
  color: #82aaff;
}

.token.boolean {
  color: #82aaff;
}

.token.property,
.token.variable,
.token.imports .token.maybe-class-name,
.token.exports .token.maybe-class-name {
  color: var(--text-variable);
}

.token.selector {
  color: #d7ba7d;
}

.token.escape {
  color: #d7ba7d;
}

.token.tag {
  color: #82aaff;
}

.token.tag .token.punctuation {
  color: #808080;
}

.token.cdata {
  color: #808080;
}

.token.attr-name {
  color: var(--text-variable);
}

.token.attr-value,
.token.attr-value .token.punctuation {
  color: #ce78b0;
}

.token.attr-value .token.punctuation.attr-equals {
  color: var(--text-brack);
}

.token.entity {
  color: #82aaff;
}

.token.namespace {
  color: #4ec9b0;
}
/*********************************************************
* Language Specific
*/

pre[class*='language-javascript'],
code[class*='language-javascript'],
pre[class*='language-php'],
code[class*='language-php'],
pre[class*='language-csharp'],
code[class*='language-csharp'],
pre[class*='language-jsx'],
code[class*='language-jsx'],
pre[class*='language-typescript'],
code[class*='language-typescript'],
pre[class*='language-tsx'],
code[class*='language-tsx'] {
  color: var(--text-basic);
}

pre[class*='language-css'],
code[class*='language-css'] {
  color: #ce78b0;
}

pre[class*='language-html'],
code[class*='language-html'] {
  color: var(--text-brack);
}

.language-regex .token.anchor {
  color: #dcdcaa;
}

.language-html .token.punctuation {
  color: #808080;
}
/*********************************************************
* Line highlighting
*/
pre[class*='language-'] > code[class*='language-'] {
  position: relative;
  z-index: 1;
}

.line-highlight.line-highlight {
  background: #f7ebc6;
  box-shadow: inset 5px 0 0 #f7d87c;
  z-index: 0;
}
